Subject: Re: Setup.exe -- Something Completely Different
From: Robert Collins <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: 10 Sep 2002 08:29:44 +1000

On Tue, 2002-09-10 at 00:41, Randall R Schulz wrote:
> Hi,
> 
> Running Cygwin Setup.exe seems to have the effect of flushing my system's 
> disk cache (I'm on Win2K Pro SP3 with 512 megabytes of RAM). In the 
> aftermath using other applications necessitates lots of in-paging and file 
> system cache reconstruction so they're very sluggish at first. This symptom 
> may be exacerbated by the fact that I keep all the packages cached locally 
> (source and binary) and installed (binary only).
> 
> Are there options in the Windows I/O API that would allow Setup.exe to 
> bypass the system's disk cache when doing its MD5 checksum validation I/O?

There are for NT, I'm not sure about 9x. Also, we're using the C library
routines by and large at the moment, so that isn't an easy thing to
test.

Rob